"use client"
import React from "react";
import {Header} from "@/components/header";
import {Footer} from "@/components/footer";
import {ThemeProvider} from "@/components/providers/theme-provider";
import {UserDataProvider} from "@/components/providers/userdata-provider";


export function Providers({children}: { children: React.ReactNode }) {


	return (
		<ThemeProvider
			attribute="class"
			defaultTheme="system"
			enableSystem
		>
			<UserDataProvider>
				{children}
			</UserDataProvider>
		</ThemeProvider>
	)
}